{
    num: -32038,
    accuracy: true,
    basePower: 0,
    category: "Status",
    name: "Final Chorus",
    pp: 5,
    priority: -4,
    flags: { protect: 1, sound: 1, distance: 1, bypasssub: 1 },
    priorityChargeCallback(pokemon) {
      this.add("-singleturn", pokemon, "move: Final Chorus");
    },
    onHit(target, source, move) {
      let result = false;
      let message = false;
      if (this.runEvent("Invulnerability", target, source, move) === false) {
        this.add("-miss", source, target);
        result = true;
      } else if (this.runEvent("TryHit", target, source, move) === null) {
        result = true;
      } else if (target.status === "psn" || target.status === "tox") {
        target.faint();
        result = true;
        message = true;
      }
      if (!result)
        return false;
      if (message)
        this.add("-activate", target, "move: Final Chorus");
    },
    onAfterMove(pokemon) {
      pokemon.faint();
    },
    secondary: null,
    target: "allAdjacent",
    type: "Poison",
    contestType: "Beautiful"
}